smdevinfo

NAME
smdevinfo - determines information about a storage media (SM) device

SYNOPSIS
smdevinfo [-hivV] source

DESCRIPTION
smdevinfo is a utility to determine information about a storage media (SM) device

smdevinfo is part of the libsmdev package. libsmdev is a library to access and read storage media (SM) devices

source is the source file.

The options are as follows:

-h  shows this help

-i  ignore data file(s)

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # sudo smdevinfo /dev/sdg
    smdevinfo 20130329

    Device information:
    	bus type		: USB
    	vendor			: TestCo
    	model			: TEST-98Z7YX6
    	serial			: 123A45678B9C

    Storage media information:
    	media type		: Fixed
    	media size		: 931 GiB (1000204886016 bytes)
    	bytes per sector	: 4096

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libsmdev/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2010-2017, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
smdevexport(1)